
NAME

	jilc  - Java bytecode to Intermediate Language Compiler


SYNOPSIS

	jilc [OPTIONS] file...


DESCRIPTION

	jilc compiles java bytecode to IL bytecode corresponding the dotNET
	environment.

	It assumes that the bytecode is consistent with the bytecode format
	correponding to JDK1.3 standard.

	The output is a dll file whose name corrsponds to the class name.

	It uses a default map to change the standard java SDK to the 
	corresponding class names in the dotNET SDK to make it compatible.
	Any reference to
		java.lang.String
	in java would be changed to
		System.String
	in dotNET.


OPTIONS

	-c
	   Deassemble only. The output is an il file that can be assembled
	   using an IL assembler.

	-m MAPFILE
	   Use specified map file.

	-o OUTPUT_FILE
	   Use specified output file. Incase of multiple files, combine the output
	   to the specified file.

	-v
	   Print version number.

	-h --help
	   Display help.


AUTHORS

	Gaurav Vaish   (mastergaurav@users.sourceforge.net)
	Abhaya Agarwal (abhayag@iitk.ac.in)
	Avinash Dhoot  (poweredbybmw@yahoo.com)
	Gopal V.       (gopalv82@yahoo.com)


UPDATES:

	The project is available at:
	  http://savannah.gnu.org/projects/jilc
	The website is maintained at:
	  http://home.iitk.ac.in/student/gvaish


REPORTING BUGS

	Report bugs to (jilc-bugs@mail.freesoftware.fsf.org)


MAILING LISTS

	Discuss about the product at (jilc-discuss@mail.freesoftware.fsf.org)


SEE ALSO

	* The Java Virtual Machine Specifications (Second Edition)
		by Lindholm, Yellin
	* ECMA Specifications available at
		http://www.ecma.ch/ecma1/STAND/ecma-335.htm


  This file was last updated on Februaray 21, 2002.


